// Test of Redirecting Standard Output

#include <stdio.h>
#include <unistd.h>
#include <Application.h>
#include <View.h>
#include <Window.h>
#include <TextView.h>
#include <TextControl.h>


class TestWindow : public BWindow {
public:
	TestWindow(BRect frame);
	virtual	bool QuitRequested() {
		be_app->PostMessage(B_QUIT_REQUESTED);
		return true;
	}
	BTextView *tview;
	BTextControl *tcntrl;
};

TestWindow::TestWindow(BRect frame)
				: BWindow(frame, "Text Control Test", B_TITLED_WINDOW, 0)
{
	tview = new BTextView(BRect(10,40,100,60), "textview",
		frame.OffsetToCopy(B_ORIGIN), B_FOLLOW_TOP| B_FOLLOW_LEFT, B_WILL_DRAW);
	AddChild(tview);
	tview->SetAlignment(B_ALIGN_RIGHT);
	tview->SetText("Text");
	tcntrl = new BTextControl(BRect(10,65,100,85), "textcontrol", NULL,
					"abc", NULL);
	AddChild(tcntrl);
	tcntrl->SetAlignment(B_ALIGN_RIGHT, B_ALIGN_RIGHT);
}


class TestApplication : public BApplication 
{
public:
	TestApplication() : BApplication("application/x-Test-TextView") {
		(new TestWindow(BRect(50, 50, 350, 350)))->Show();
	}
};



int main(void)
{	
	TestApplication	myApplication;
	myApplication.Run();
	return(0);
}

